GNU Radio C++ API Reference: rpcbasic_extractor< T, std::complex< double > > Class Template Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
rpcbasic_extractor< T, std::complex< double > > Class Template Reference

Specialized extractor class for complex (double) data. More...

`#include <gnuradio/rpcregisterhelpers.h>`

## Public Member Functions
| rpcbasic_extractor (T *source, void(T::*func)(std::complex< double >))
void | post (pmt::pmt_t which_port, pmt::pmt_t msg)
| send `msg` to `msg_accepter` on port `which_port`
Public Member Functions inherited from rpcextractor_base< T, std::complex< double > >
| rpcextractor_base (T *source, void(T::*func)(std::complex< double >))
| ~rpcextractor_base () override
void | post (pmt::pmt_t which_port, pmt::pmt_t msg) override
| send `msg` to `msg_accepter` on port `which_port`
Public Member Functions inherited from gr::messages::msg_accepter
| msg_accepter ()
virtual | ~msg_accepter ()

## Additional Inherited Members
Protected Attributes inherited from rpcextractor_base< T, std::complex< double > >
T * | _source
void(T::*) | _func (std::complex< double >)

## Detailed Description

template<typename T>
class rpcbasic_extractor< T, std::complex< double > >

Specialized extractor class for complex (double) data.

## Constructor & Destructor Documentation

## ◆ rpcbasic_extractor()

template<typename T>

rpcbasic_extractor< T, std::complex< double > >::rpcbasic_extractor | ( | T * | source,
|  | void(T::* | func )(std::complex< double >) )
| inline

References rpcextractor_base< T, std::complex< double > >::rpcextractor_base().

## Member Function Documentation

## ◆ post()

template<typename T>

void rpcbasic_extractor< T, std::complex< double > >::post | ( | pmt::pmt_t | which_port,
|  | pmt::pmt_t | msg )
| inlinevirtual

send `msg` to `msg_accepter` on port `which_port`

Sending a message is an asynchronous operation. The `post` call will not wait for the message either to arrive at the destination or to be received.

Implements gr::messages::msg_accepter.

References rpcextractor_base< T, std::complex< double > >::_func, rpcextractor_base< T, std::complex< double > >::_source, rpcextractor_base< T, std::complex< double > >::rpcextractor_base(), and pmt::to_complex().

The documentation for this class was generated from the following file:

- rpcregisterhelpers.h